Enrich contacts by LinkedIn URL
curl --request POST \
--url https://api.reply.io/v3/contacts/enrich-by-linkedin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.reply.io/v3/contacts/enrich-by-linkedin"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.reply.io/v3/contacts/enrich-by-linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "Unauthorized",
"status": 401,
"detail": "Authentication credentials are missing or invalid."
}{
"title": "Forbidden",
"status": 403,
"detail": "You do not have permission to access this resource.",
"code": "sequence.forbidden"
}Contact Enrichment
Enrich contacts by LinkedIn URL
Coming soon. This endpoint will be available by late August 2026.
Enriches contact data using each contact’s LinkedIn URL. Optionally also finds email and/or phone in the same call.
Consumes credits from the Reply credit pool: 1 per contact, plus (when find-email is enabled) 2 and (when find-phone is enabled) 3 per contact.
POST
/
v3
/
contacts
/
enrich-by-linkedin
Enrich contacts by LinkedIn URL
Authorizations
Authenticate every request with a Bearer token. Pass your Reply API key in the
Authorization header:
Authorization: Bearer <your-api-key>
Get your API key from the Reply dashboard: Settings → API Key.
Body
application/json
Coming soon — full request shape is still being finalized.
Response
Enrichment accepted
Coming soon — full response shape is still being finalized.
⌘I